1. Contact
VasyOpenAPI
  • Branch
    • Branch List
      GET
  • Department
    • department
      GET
  • Category
    • category
      GET
    • subCategory
      GET
  • Brand
    • Brand
      GET
    • SubBrand
      GET
  • Contact
    • Get Customer List W Branch Id
      GET
    • Get Contact By Id
      GET
    • Get Contact By Mobile No
      GET
    • contactSave
      POST
    • Supplier(Party)
      GET
  • GST
    • Verify GST
      POST
  • Master
    • Get Country List
      GET
    • Get State List
      GET
    • Get City List
      GET
    • Get Tax List
      GET
    • Get Additional Charge List
      GET
  • Product
    • Get Product List
      GET
    • Get Product By ID
      GET
    • products with inventory
      GET
    • product details with Inventory By Product ID
      GET
    • Product Variant List ID & Name
      GET
    • Variant Details By Variant ID
      GET
  • Recipe
    • Get All Recipe
  • User
    • Created By
  • Report
    • Get Sales Item Register Data
    • Purchase Item Register Report
    • Stock Summary Report
    • Stock Transfer Item Register Report
    • Consumption Production Report
  • Sales
    • Get All Sales Data
    • Get Sales Data By Id
    • Order Create
    • Order Status
    • Shipping Details
    • Update Due Date
    • Update Order Status
  1. Contact

Supplier(Party)

GET
/api/v1/contact/suppliers

Supplier List#

Purpose#

Retrieve supplier records available in Branch.

Why would you use this?#

Use this API when your system needs to access, synchronize, or display supplier information stored in Branch.

Information Required#

FieldRequiredDescription
api-tokenYesAuthentication token provided by VasyERP
limitYesNumber of supplier records to retrieve per request
offsetYesNumber of records to skip for pagination
branchIdYesRecords in that perticular branch

Information Returned#

This API returns supplier-related information including:
Contact ID
Contact Name

Example Use Case#

A business uses an external procurement or inventory management system and wants to keep supplier information synchronized with VasyERP.

Important Notes#

Supplier records are returned in paginated format.
Use the limit and offset parameters to retrieve large datasets efficiently.

Common Mistakes#

āŒ Fetching all supplier records in a single request instead of using pagination
āŒ Using supplier name as a unique identifier
āŒ Not storing Supplier IDs returned by the API

Request

Query Params

Header Params

Responses

🟢200
application/json
Bodyapplication/json

🟠403Unauthorized
🟠429Too Many Request
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/v1/contact/suppliers?limit=10&offset=0&branchId=24448' \
--header 'api-token: {{.in-api-token}}'
Response Response Example
200 - Example
{
    "status": true,
    "message": "Contact List",
    "code": "200",
    "response": {
        "totalCount": 132,
        "items": [
            {
                "contactId": 5519848,
                "contactName": "  Sangita singh"
            },
            {
                "contactId": 5313891,
                "contactName": "  Umesh"
            },
            {
                "contactId": 5313884,
                "contactName": "  Anika Enterprises"
            },
            {
                "contactId": 5313883,
                "contactName": "  GOPALA TRADERS"
            },
            {
                "contactId": 5313882,
                "contactName": "  PRIMEWEST MARKETING PRIVATE LIMITED"
            },
            {
                "contactId": 5313881,
                "contactName": "  Krishna Agencies"
            },
            {
                "contactId": 5313880,
                "contactName": "  Sattviki Association"
            },
            {
                "contactId": 5313879,
                "contactName": "  Mahesh Kumar Arun Kumar"
            },
            {
                "contactId": 5313878,
                "contactName": "  GLOBAL SYSTEMS AND TECHNOLOGY"
            },
            {
                "contactId": 5313877,
                "contactName": "  Aruna Agencies"
            }
        ]
    }
}
Previous
contactSave
Next
Verify GST
Built with